kind: document
metadata:
  name: case-management/v1/business-fields

# list of business fields and their mapping the case manager features (via the "kind" property).
# The following fields are managed as variables. 
# Variables that are defined in the AppStudio get precedence over variables with the same name that are defined in this document. (for example, the porperty "alias" will be taken from the definistion in the wf, not from this document)
# Virtual variables do not support the "global" property (it is false by default)
# Virtual variables have the prefix "scm".
# Attention: removing virtual variables from this document might lead to deleting the corresponding field in the variables table/

spec:
    - name: scmScore
      kind: Score # decimal (8,2)
      visible: true
      alias: Case Score
    - name: scmScoreTrace
      kind: ScoreTrace # nvarchar(max)
      visible: false
    - name: scmScoreClock
      kind: ScoreClock # datetime
      visible: false
    - name: scmCaseTitle
      type: String # string
      visible: false
 


      


# ------ example for more variables ------
#    - name: existing_Case_Category (Mandatory)
#      kind: L1 (Mandatory)
#      alias: Case category
#      visible: true
